=== debian/changelog ===
ntirpc (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #805324).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 17 Nov 2015 17:07:53 +1100
