=== debian/control ===
Source: ntirpc
Section: net
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), cmake
    ,libkrb5-dev
Standards-Version: 3.9.6
Homepage: https://github.com/linuxbox2/ntirpc
Vcs-Git: git://anonscm.debian.org/collab-maint/libntirpc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libntirpc.git

Package: libntirpc1.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: transport-independent RPC library
 Improved implementation of transport-independent RPC (TI-RPC).
 .
 Changes introduced in the ntirpc library include:
  * Bi-directional operation.
  * Full-duplex operation on the TCP (vc) transport.
  * Thread-safe operating modes:
    * new locking primitives and lock callouts (interface change).
    * stateless send/recv on the TCP transport (interface change).
  * Flexible server integration support.
  * Event channels.

Package: libntirpc-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libntirpc1.3 (= ${binary:Version}),
Description: transport-independent RPC library - development files
 Improved implementation of transport-independent RPC (TI-RPC).
 .
 Changes introduced in the ntirpc library include:
  * Bi-directional operation.
  * Full-duplex operation on the TCP (vc) transport.
  * Thread-safe operating modes:
    * new locking primitives and lock callouts (interface change).
    * stateless send/recv on the TCP transport (interface change).
  * Flexible server integration support.
  * Event channels.
 .
 This package provides development files.
