=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
#PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))

%:
	dh $@ --parallel --buildsystem=cmake


override_dh_auto_configure:
#	cp -vf CMakeLists.txt.standalone CMakeLists.txt
	dh_auto_configure --                          \
            -DCMAKE_VERBOSE_MAKEFILE=ON                \
            -DCMAKE_BUILD_TYPE=Release                  \
            -DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)

#override_dh_auto_install:
#	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
#	dh_install -ppython-eblob
#	dh_install -Xlibeblob_python.so

#override_dh_makeshlibs:
#	dh_makeshlibs -V
