## ntirpc 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 # version numbers
 set(NTIRPC_MAJOR_VERSION 1)
-set(NTIRPC_MINOR_VERSION 3)
-set(NTIRPC_PATCH_LEVEL 1)
+set(NTIRPC_MINOR_VERSION 4)
+set(NTIRPC_PATCH_LEVEL 0)
 set(VERSION_COMMENT
   "Full-duplex and bi-directional ONC RPC on TCP."
 )
