=== debian/changelog ===
ntirpc (1.4.1-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * minor copyright correction

  [ Christoph Martin ]
  * Initial upstream branch.
  * update gbp.conf
  * Imported Upstream version 1.4.1

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 30 Dec 2016 13:30:12 +0100
