=== debian/control ===
--- 
+++ 
@@ -2,20 +2,24 @@
 Section: net
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 9), cmake
-    ,libkrb5-dev
-Standards-Version: 3.9.6
+    ,libkrb5-dev, libjemalloc-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/linuxbox2/ntirpc
-Vcs-Git: git://anonscm.debian.org/collab-maint/libntirpc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libntirpc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libntirpc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libntirpc.git
 
-Package: libntirpc1.3
+Package: libntirpc1.4
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: transport-independent RPC library
- Improved implementation of transport-independent RPC (TI-RPC).
+Description: new transport-independent RPC library
+ Port of Sun's transport-independent RPC library to Linux. The library
+ is intended as a replacement for the RPC code in the GNU C library,
+ providing among others support for RPC (and in turn, NFS) over IPv6.
  .
  Changes introduced in the ntirpc library include:
   * Bi-directional operation.
@@ -29,9 +33,12 @@
 Package: libntirpc-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libntirpc1.3 (= ${binary:Version}),
-Description: transport-independent RPC library - development files
- Improved implementation of transport-independent RPC (TI-RPC).
+Multi-Arch: same
+Depends: ${misc:Depends}, libntirpc1.4 (= ${binary:Version}),
+Description: new transport-independent RPC library - development files
+ Port of Sun's transport-independent RPC library to Linux. The library
+ is intended as a replacement for the RPC code in the GNU C library,
+ providing among others support for RPC (and in turn, NFS) over IPv6.
  .
  Changes introduced in the ntirpc library include:
   * Bi-directional operation.
