=== debian/changelog ===
ntirpc (1.4.3-3) unstable; urgency=medium

  * link with libatomic if necessary (closes: #859689)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Apr 2017 13:54:21 +0200

ntirpc (1.4.3-2) unstable; urgency=medium

  * upload to unstable

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 13 Mar 2017 10:34:18 +0100

ntirpc (1.4.3-1) experimental; urgency=medium

  * change upstream to nfs-ganesha/ntirpc (watch, control, copyright)
  * Imported Upstream version 1.4.3
  * add symbols file

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 18 Jan 2017 14:20:10 +0100
