## ntirpc 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # version numbers
 set(NTIRPC_MAJOR_VERSION 1)
 set(NTIRPC_MINOR_VERSION 4)
-set(NTIRPC_PATCH_LEVEL 3)
+set(NTIRPC_PATCH_LEVEL 4)
 set(VERSION_COMMENT
   "Full-duplex and bi-directional ONC RPC on TCP."
 )
