=== debian/changelog ===
ntirpc (1.4.4-1) unstable; urgency=high

  [ Christoph Martin ]
  * Imported Upstream version 1.4.4
  * fixes rpcbomb CVE-2017-8779 (closes: #861836)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 15 May 2017 09:53:09 +0200
