=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 9), cmake
-    ,libkrb5-dev, libjemalloc-dev
+    ,libkrb5-dev, libjemalloc-dev, libatomic-ops-dev
 Standards-Version: 3.9.8
-Homepage: https://github.com/linuxbox2/ntirpc
+Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libntirpc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libntirpc.git
