## ntirpc 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,14 +14,21 @@
 
 # version numbers
 set(NTIRPC_MAJOR_VERSION 1)
-set(NTIRPC_MINOR_VERSION 4)
-set(NTIRPC_PATCH_LEVEL 4)
+set(NTIRPC_MINOR_VERSION 6)
+set(NTIRPC_PATCH_LEVEL 1)
 set(VERSION_COMMENT
   "Full-duplex and bi-directional ONC RPC on TCP."
 )
 # version string used for packaging
 set(NTIRPC_VERSION
   "${NTIRPC_MAJOR_VERSION}.${NTIRPC_MINOR_VERSION}.${NTIRPC_PATCH_LEVEL}")
+# Up scope for embedding in ganesha
+set(NTIRPC_VERSION_EMBED "${NTIRPC_VERSION}" PARENT_SCOPE)
+set(NTIRPC_ABI_EMBED "${NTIRPC_MAJOR_VERSION}.${NTIRPC_MINOR_VERSION}" PARENT_SCOPE)
+
+set( PACKNAME "${NTIRPC_VERSION}" )
+
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Install destination, if built standalone
 get_property(USE_LIB64 GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS)
@@ -53,8 +60,15 @@
 # Build configure options
 
 option (USE_GSS "enable RPCSEC_GSS support" ON)
-
-option(TIRPC_EPOLL "platform supports EPOLL or emulation" ON)
+if (USE_GSS)
+  find_package(Krb5 REQUIRED gssapi)
+  if(KRB5_FOUND)
+    set(HAVE_KRB5 ON)
+    set(_HAVE_GSSAPI ON)
+  else(KRB5_FOUND)
+    set(USE_GSS OFF)
+  endif(KRB5_FOUND)
+endif (USE_GSS)
 
 option(USE_RPC_RDMA "platform supports RDMA" OFF)
 if (USE_RPC_RDMA)
@@ -109,13 +123,9 @@
 endif(${BIGENDIAN})
 
 find_package(Threads REQUIRED)
-find_package(Krb5 REQUIRED gssapi)
-
-if(KRB5_FOUND)
-  set(HAVE_KRB5 ON)
-  set(KRB5_VERSION 194)  # hand code until we do krb5-config --version magic
-  set(_HAVE_GSSAPI ON)
-endif(KRB5_FOUND)
+find_package(EPOLL REQUIRED)
+set(TIRPC_EPOLL ${EPOLL_FOUND})
+find_package(Sanitizers)
 
 if(_MSPAC_SUPPORT)
   find_package(WBclient REQUIRED)
@@ -143,15 +153,14 @@
 
 # Find misc system libs
 find_library(LIBRT rt)   # extended Pthreads functions
-find_library(LIBNSL nsl) # sockets
+find_package(NSL) # sockets
 
 set(SYSTEM_LIBRARIES
   ${LIBTIRPC_LIBRARIES}
   ${KRB5_LIBRARIES}
-  gssapi_krb5
   ${SYSTEM_LIBRARIES}
   ${LIBRT}
-  ${LIBNSL}
+  ${NSL_LIBRARY}
 )
 
 set(LIBNTIRPC_MAP "${PROJECT_BINARY_DIR}/src/libntirpc.map")
@@ -169,6 +178,7 @@
 message(STATUS "-------------------------------------------------------")
 message(STATUS "TIRPC_EPOLL = ${TIRPC_EPOLL}")
 message(STATUS "USE_RPC_RDMA = ${USE_RPC_RDMA}")
+message(STATUS "USE_GSS = ${USE_GSS}")
 
 #force command line options to be stored in cache
 set(_MSPAC_SUPPORT ${_MSPAC_SUPPORT}
@@ -195,7 +205,26 @@
 configure_file(
   "${NTIRPC_BASE_DIR}/libntirpc.pc.in.cmake"
   "${PROJECT_BINARY_DIR}/libntirpc.pc"
-)
+  @ONLY
+)
+
+configure_file(
+  "${NTIRPC_BASE_DIR}/libntirpc.spec-in.cmake"
+  "${PROJECT_SOURCE_DIR}/libntirpc.spec"
+)
+
+# Define CPACK component (to deal with sub packages)
+set(CPACK_COMPONENTS_ALL daemon fsal headers )
+set(CPACK_COMPONENT_DAEMON_DISPLAY_NAME "libntirpc")
+
+# Include custom config and cpack module
+include(${CMAKE_SOURCE_DIR}/cmake/cpack_config.cmake)
+include(CPack)
+
+set( PKG_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}.tar.gz")
+if (NOT TARGET dist)
+	add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+endif (NOT TARGET dist)
 
 ########### install files ###############
