=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,26 +28,19 @@
   getnetpath.c
   getpeereid.c
   getrpcent.c
-  getrpcport.c
   mt_misc.c
-  pmap_clnt.c
-  pmap_getmaps.c
-  pmap_getport.c
   pmap_prot.c
   pmap_prot2.c
   pmap_rmt.c
   rbtree.c
   rbtree_x.c
-  rpc_dplx.c
   rpc_prot.c
   rpc_callmsg.c
   rpc_commondata.c
   rpc_crc32.c
-  rpc_ctx.c
   rpc_dplx_msg.c
   rpc_dtablesize.c
   rpc_generic.c
-  rpc_soc.c
   rpcb_clnt.c
   rpcb_prot.c
   rpcb_st_xdr.c
@@ -60,30 +53,18 @@
   svc_generic.c
   svc_raw.c
   svc_rqst.c
-  svc_run.c
   svc_simple.c
   svc_vc.c
   svc_xprt.c
-  vc_generic.c
   xdr.c
   xdr_array.c
   xdr_float.c
   xdr_mem.c
-  xdr_rec.c
   xdr_reference.c
-  xdr_stdio.c
-  xdr_inrec.c
   xdr_ioq.c
   svc_ioq.c
   work_pool.c
 )
-
-if(USE_DES)
-  SET(ntirpc_des_SRCS
-  auth_des.c
-  authdes_prot.c
-  )
-endif(USE_DES)
 
 if(USE_GSS)
   SET(ntirpc_gss_SRCS
@@ -110,7 +91,6 @@
 # declares the library
 add_library(ntirpc SHARED
   ${ntirpc_common_SRCS}
-  ${ntirpc_des_SRCS}
   ${ntirpc_gss_SRCS}
   ${ntirpc_rdma_SRCS}
   )
