=== debian/changelog ===
ntirpc (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 20 Feb 2018 10:32:52 +0100

ntirpc (1.5.3-1) unstable; urgency=medium

  [ Christoph Martin ]
  * New upstream version 1.5.3

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 25 Aug 2017 15:02:23 +0200
