=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libntirpc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libntirpc.git
 
-Package: libntirpc1.4
+Package: libntirpc1.6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -34,7 +34,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libntirpc1.4 (= ${binary:Version}),
+Depends: ${misc:Depends}, libntirpc1.6 (= ${binary:Version}),
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
  is intended as a replacement for the RPC code in the GNU C library,
