=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,15 @@
 	dh_auto_configure --                          \
             -DCMAKE_VERBOSE_MAKEFILE=ON                \
             -DCMAKE_BUILD_TYPE=Release                  \
-            -DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)
+            -DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH) \
+	    -DTIRPC_EPOLL=1 \
+	    -DUSE_GSS=ON
 
 #override_dh_auto_install:
 #	dh_auto_install --destdir=$(CURDIR)/debian/tmp
 
-override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp
+#override_dh_auto_install:
+#	dh_auto_install --destdir=debian/tmp
 #	dh_install -ppython-eblob
 #	dh_install -Xlibeblob_python.so
