## ntirpc 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 # version numbers
 set(NTIRPC_MAJOR_VERSION 1)
-set(NTIRPC_MINOR_VERSION 6)
-set(NTIRPC_PATCH_LEVEL 1)
+set(NTIRPC_MINOR_VERSION 7)
+set(NTIRPC_PATCH_LEVEL 0)
 set(VERSION_COMMENT
   "Full-duplex and bi-directional ONC RPC on TCP."
 )
@@ -41,6 +41,7 @@
 endif (USE_LIB64)
 
 set(SYSTEM_LIBRARIES ${SYSTEM_LIBRARIES})
+set(BINARY_LIBRARIES ${BINARY_LIBRARIES})
 
 include(GetGitRevisionDescription)
 get_git_head_revision(GIT_REFSPEC _GIT_HEAD_COMMIT)
@@ -80,6 +81,34 @@
 # MSPAC support -lwbclient link flag
 option(_MSPAC_SUPPORT "enable mspac Winbind support" OFF)
 
+option(USE_PROFILE "Build with gperf profiling" OFF)
+if (USE_PROFILE)
+  find_package(Gperftools)
+  if(GPERFTOOLS_FOUND)
+    set(BINARY_LIBRARIES ${BINARY_LIBRARIES} ${GPERFTOOLS_LIBRARIES})
+  else(GPERFTOOLS_FOUND)
+    message(WARNING "Couldn't find gperftools. Disabling USE_PROFILE")
+    set(USE_PROFILE OFF)
+  endif(GPERFTOOLS_FOUND)
+endif(USE_PROFILE)
+
+option(USE_LTTNG "Enable LTTng tracing" OFF)
+if(USE_LTTNG)
+  # Set LTTNG_PATH_HINT on the command line
+  # if your LTTng is not in a standard place
+  find_package(LTTng REQUIRED)
+  if(LTTNG_FOUND)
+    include_directories(${LTTNG_INCLUDE_DIR})
+    set(USE_LTTNG_NTIRPC ON)
+    set(BINARY_LIBRARIES ${BINARY_LIBRARIES} ntirpc_lttng)
+  else(LTTNG_FOUND)
+    message(WARNING "LTTng libraries not found. Disabling USE_LTTNG_NTIRPC")
+    set(USE_LTTNG_NTIRPC OFF)
+  endif(LTTNG_FOUND)
+else(USE_LTTNG)
+  set(USE_LTTNG_NTIRPC OFF)
+endif(USE_LTTNG)
+
 # Choose a shortcut build config
 
 IF(BUILD_CONFIG)
@@ -153,15 +182,21 @@
 
 # Find misc system libs
 find_library(LIBRT rt)   # extended Pthreads functions
-find_package(NSL) # sockets
 
 set(SYSTEM_LIBRARIES
   ${LIBTIRPC_LIBRARIES}
   ${KRB5_LIBRARIES}
   ${SYSTEM_LIBRARIES}
   ${LIBRT}
-  ${NSL_LIBRARY}
-)
+)
+
+if (NOT FREEBSD)
+  find_package(NSL) # sockets
+  set(SYSTEM_LIBRARIES
+    ${SYSTEM_LIBRARIES}
+    ${NSL_LIBRARY}
+  )
+endif (NOT FREEBSD)
 
 set(LIBNTIRPC_MAP "${PROJECT_BINARY_DIR}/src/libntirpc.map")
 # subst files (need add_custom_command for dependency, fyi)
@@ -171,6 +206,7 @@
 )
 
 add_subdirectory(src)
+add_subdirectory(tests)
 
 # display configuration vars
 
@@ -179,6 +215,8 @@
 message(STATUS "TIRPC_EPOLL = ${TIRPC_EPOLL}")
 message(STATUS "USE_RPC_RDMA = ${USE_RPC_RDMA}")
 message(STATUS "USE_GSS = ${USE_GSS}")
+message(STATUS "USE_PROFILE = ${USE_PROFILE}")
+message(STATUS "USE_LTTNG_NTIRPC = ${USE_LTTNG_NTIRPC}")
 
 #force command line options to be stored in cache
 set(_MSPAC_SUPPORT ${_MSPAC_SUPPORT}
@@ -213,6 +251,7 @@
   "${PROJECT_SOURCE_DIR}/libntirpc.spec"
 )
 
+if (NOT TARGET dist)
 # Define CPACK component (to deal with sub packages)
 set(CPACK_COMPONENTS_ALL daemon fsal headers )
 set(CPACK_COMPONENT_DAEMON_DISPLAY_NAME "libntirpc")
@@ -222,7 +261,6 @@
 include(CPack)
 
 set( PKG_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}.tar.gz")
-if (NOT TARGET dist)
 	add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
 endif (NOT TARGET dist)
