=== debian/changelog ===
ntirpc (1.7.0-1) unstable; urgency=medium

  * Move Vcs-* to Salsa
  * New upstream version 1.7.0
  * Remove unneeded build-depends on libatomic-ops-dev (closes: #883589)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 18 Sep 2018 16:21:10 +0200
