=== debian/changelog ===
ntirpc (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 24 Oct 2018 15:41:08 +0200
