=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 9), cmake
-    ,libkrb5-dev, libjemalloc-dev, libatomic-ops-dev
+    ,libkrb5-dev, libjemalloc-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/nfs-ganesha/ntirpc
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libntirpc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libntirpc.git
+Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
+Vcs-Browser: https://salsa.debian.org/debian/libntirpc
 
-Package: libntirpc1.6
+Package: libntirpc1.7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -34,7 +34,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libntirpc1.6 (= ${binary:Version}),
+Depends: ${misc:Depends}, libntirpc1.7 (= ${binary:Version}),
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
  is intended as a replacement for the RPC code in the GNU C library,
