=== debian/changelog ===
ntirpc (1.7.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Has important bug fixes from upstream compared to 1.7.1

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 20 Feb 2020 18:28:28 +0100

ntirpc (1.7.4-2) unstable; urgency=medium

  * bum standards version to 4.3.0 (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 05 Aug 2019 10:49:15 +0200

ntirpc (1.7.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Christoph Martin ]
  * New upstream version 1.7.4

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 06 Jun 2019 10:40:01 +0200
