=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 9), cmake
     ,libkrb5-dev, libjemalloc-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
 Vcs-Browser: https://salsa.debian.org/debian/libntirpc
