=== debian/changelog ===
ntirpc (3.0-0ubuntu2) focal; urgency=medium

  * d/libntirpc3.0.symbols: Drop LTTNG related symbols accidentally
    included in last upload.
  * d/rules: Enable basic rpcping tests during package build.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Dec 2019 11:17:18 +0000

ntirpc (3.0-0ubuntu1) focal; urgency=medium

  * New upstream release:
    - d/control: Bump version from 1.7->3.0.
    - d/libntirpc3.0.symbols: Update for new version.
    - d/libntirpc{1.7->3.0}.*: Rename files inline with version bump.

 -- James Page <james.page@ubuntu.com>  Tue, 10 Dec 2019 09:41:56 +0000
