=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,13 @@
 	    -DTIRPC_EPOLL=1 \
 	    -DUSE_GSS=ON
 
+override_dh_auto_test:
+	set -ex; \
+	cd obj-$(DEB_BUILD_GNU_TYPE); \
+	for i in raw rdma tcp udp; do \
+		./tests/rpcping $$i localhost --count=1000 --threads=4 --workers=2; \
+	done
+
 #override_dh_auto_install:
 #	dh_auto_install --destdir=$(CURDIR)/debian/tmp
