=== debian/changelog ===
ntirpc (3.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 05 Aug 2020 16:08:56 +0200

ntirpc (3.2-2) unstable; urgency=medium

  * source only upload to enable migration to testing

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 16 Mar 2020 10:05:50 +0100

ntirpc (3.2-1) unstable; urgency=medium

  * New upstream version 3.2

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Feb 2020 09:27:16 +0100
