=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ntirpc
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 9), cmake
-    ,libkrb5-dev, libjemalloc-dev, liburcu-dev
+    ,libkrb5-dev, liburcu-dev
 Standards-Version: 4.3.0
 Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
 Vcs-Browser: https://salsa.debian.org/debian/libntirpc
 
-Package: libntirpc3.0
+Package: libntirpc3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +34,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libntirpc3.0 (= ${binary:Version}),
+Depends: ${misc:Depends}, libntirpc3.2 (= ${binary:Version}),
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
  is intended as a replacement for the RPC code in the GNU C library,
