## ntirpc 3.3

=== debian/changelog ===
ntirpc (3.3-2) unstable; urgency=medium

  * fix libntipc3.3 symbols file (closes: #971992)
  * add Build-Depends-Package field to symbols file

 -- Christoph Martin <martin@uni-mainz.de>  Sun, 11 Oct 2020 15:06:07 +0200

ntirpc (3.3-1) unstable; urgency=medium

  * New upstream version 3.3
  * d/rules: Enable basic rpcping tests during package build (from Ubuntu)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 27 Aug 2020 16:05:17 +0200
