=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
-Build-Depends: debhelper (>= 9), cmake
-    ,libkrb5-dev, liburcu-dev
+Build-Depends: debhelper (>= 9),
+  cmake,
+  libkrb5-dev,
+  liburcu-dev,
 Standards-Version: 4.3.0
 Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
 Vcs-Browser: https://salsa.debian.org/debian/libntirpc
 
-Package: libntirpc3.2
+Package: libntirpc3.3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -34,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libntirpc3.2 (= ${binary:Version}),
+Depends: ${misc:Depends}, libntirpc3.3 (= ${binary:Version}),
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
  is intended as a replacement for the RPC code in the GNU C library,
