## ntirpc 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # version numbers
 set(NTIRPC_MAJOR_VERSION 3)
 # This is .0 for a release, .N for a stable branch, blank for development
-set(NTIRPC_MINOR_VERSION .2)
+set(NTIRPC_MINOR_VERSION .4)
 # -something for dev releases
 set(NTIRPC_VERSION_EXTRA )
 set(VERSION_COMMENT
@@ -115,6 +115,11 @@
   set(USE_LTTNG_NTIRPC OFF)
 endif(USE_LTTNG)
 
+find_library(LIBURCU_LIB urcu-bp)
+find_path(LIBURCU_INC urcu-bp.h)
+include_directories(${LIBURCU_INC})
+set(SYSTEM_LIBRARIES ${SYSTEM_LIBRARIES} ${LIBURCU_LIB})
+
 # Choose a shortcut build config
 
 IF(BUILD_CONFIG)
@@ -186,8 +191,6 @@
   "${EXTRA_INCLUDE_DIR}"
 )
 
-find_library(LIBURCU urcu-bp)
-
 # Find misc system libs
 find_library(LIBRT rt)   # extended Pthreads functions
 
@@ -196,7 +199,6 @@
   ${KRB5_LIBRARIES}
   ${SYSTEM_LIBRARIES}
   ${LIBRT}
-  ${LIBURCU}
 )
 
 if (NOT FREEBSD)
