=== debian/changelog ===
ntirpc (3.4-2) unstable; urgency=medium

  * add depends libtirpc-common

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 20 Jan 2021 14:38:20 +0100

ntirpc (3.4-1) unstable; urgency=medium

  * New upstream version 3.4

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 19 Jan 2021 09:37:19 +0100
