=== debian/watch ===
version=3

 https://github.com/nfs-ganesha/ntirpc/releases \
  .*/archive/[Vv]?(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)

 https://github.com/nfs-ganesha/ntirpc/releases?after=v1.7.1 \
  .*/archive/[Vv]?(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)
