=== debian/changelog ===
ntirpc (3.5-2) unstable; urgency=medium

  * include Debian Janitor fixes

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 10 Jan 2022 10:54:54 +0100

ntirpc (3.5-1) unstable; urgency=medium

  * update watchfile
  * New upstream version 3.5
  * bump debhelper-compat to 12
  * bump standards version (no changes)
  * cleanup copyright

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 03 Jan 2022 19:19:43 +0100
