=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
   cmake,
   libkrb5-dev,
   liburcu-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/nfs-ganesha/ntirpc
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
 Vcs-Browser: https://salsa.debian.org/debian/libntirpc
 
-Package: libntirpc3.4
+Package: libntirpc3.5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libntirpc3.4 (= ${binary:Version}),
+Depends: ${misc:Depends}, libntirpc3.5 (= ${binary:Version}),
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
  is intended as a replacement for the RPC code in the GNU C library,
