## ntirpc 4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 project(NTIRPC C)
 
 # version numbers
-set(NTIRPC_MAJOR_VERSION 3)
+set(NTIRPC_MAJOR_VERSION 4)
 # This is .0 for a release, .N for a stable branch, blank for development
-set(NTIRPC_MINOR_VERSION .5)
+set(NTIRPC_MINOR_VERSION .0)
 # -something for dev releases
 set(NTIRPC_VERSION_EXTRA )
 set(VERSION_COMMENT
@@ -140,9 +140,9 @@
   set(LINUX ON)
 endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
-if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-  set(FREEBSD ON)
-endif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD|Darwin")
+  set(BSDBASED ON)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD|Darwin")
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
   set(WINDOWS ON)
@@ -172,12 +172,12 @@
   set(SYSTEM_LIBRARIES ${WBclient_LIBRARIES} ${SYSTEM_LIBRARIES})
 endif(_MSPAC_SUPPORT)
 
-if (FREEBSD)
+if (BSDBASED)
    set(EXTRA_INCLUDE_DIR "/opt/ganesha/include")
 else()
   # workaround bug in some include_directories when no extra includes
   set(EXTRA_INCLUDE_DIR "${NTIRPC_BASE_DIR}/ntirpc/")
-endif(FREEBSD)
+endif(BSDBASED)
 
 add_definitions(-DHAVE_CONFIG_H)
 
@@ -191,23 +191,19 @@
   "${EXTRA_INCLUDE_DIR}"
 )
 
-# Find misc system libs
-find_library(LIBRT rt)   # extended Pthreads functions
-
 set(SYSTEM_LIBRARIES
   ${LIBTIRPC_LIBRARIES}
   ${KRB5_LIBRARIES}
   ${SYSTEM_LIBRARIES}
-  ${LIBRT}
-)
-
-if (NOT FREEBSD)
+)
+
+if (NOT BSDBASED)
   find_package(NSL) # sockets
   set(SYSTEM_LIBRARIES
     ${SYSTEM_LIBRARIES}
     ${NSL_LIBRARY}
   )
-endif (NOT FREEBSD)
+endif (NOT BSDBASED)
 
 set(LIBNTIRPC_MAP "${PROJECT_BINARY_DIR}/src/libntirpc.map")
 # subst files (need add_custom_command for dependency, fyi)
