=== debian/changelog ===
ntirpc (4.0-2~bpo11+1) bullseye-backports; urgency=medium

  * backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 12 Sep 2022 12:02:10 +0200

ntirpc (4.0-2) unstable; urgency=medium

  * source only upload

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 08 Sep 2022 09:50:26 +0200

ntirpc (4.0-1) unstable; urgency=medium

  * New upstream version 4.0

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 07 Sep 2022 16:23:34 +0200

ntirpc (3.5-2~bpo11+1) bullseye-backports; urgency=medium

  * backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 01 Feb 2022 11:09:21 +0100
