=== debian/changelog ===
ntirpc (4.3-2) unstable; urgency=medium

  * source only upload

 -- Christoph Martin <martin@uni-mainz.de>  Sun, 29 Jan 2023 09:15:08 +0100

ntirpc (4.3-1) unstable; urgency=medium

  * New upstream version 4.3

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 24 Jan 2023 21:56:51 +0100

ntirpc (4.1-1) unstable; urgency=medium

  * New upstream version 4.1

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 01 Dec 2022 11:26:09 +0100
