=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Git: https://salsa.debian.org/debian/libntirpc.git
 Vcs-Browser: https://salsa.debian.org/debian/libntirpc
 
-Package: libntirpc4.0
+Package: libntirpc4.3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -36,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libntirpc4.0 (= ${binary:Version}),
+Depends: ${misc:Depends}, libntirpc4.3 (= ${binary:Version}),
 Description: new transport-independent RPC library - development files
  Port of Sun's transport-independent RPC library to Linux. The library
  is intended as a replacement for the RPC code in the GNU C library,
