=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
 
 %:
-	dh $@ --parallel --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 
 override_dh_auto_configure:
@@ -22,12 +22,12 @@
 	    -DTIRPC_EPOLL=1 \
 	    -DUSE_GSS=ON
 
-override_dh_auto_test:
-	set -ex; \
-	cd obj-$(DEB_BUILD_GNU_TYPE); \
-	for i in raw rdma tcp udp; do \
-		./tests/rpcping $$i localhost --count=1000 --threads=4 --workers=2; \
-	done
+#override_dh_auto_test:
+#	set -ex; \
+#	cd obj-$(DEB_BUILD_GNU_TYPE); \
+#	for i in raw rdma tcp udp; do \
+#		./tests/rpcping $$i localhost --count=1000 --threads=4 --workers=2; \
+#	done
 
 #override_dh_auto_install:
 #	dh_auto_install --destdir=$(CURDIR)/debian/tmp
